package ijeoma.fabrica.benetton.window.test;

import ijeoma.fabrica.benetton.window.BWindow;
import ijeoma.fabrica.benetton.window.BWindowManager;

import processing.core.*;
import processing.video.*;

public class MilanoStazione_Test extends PApplet {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	BWindowManager bwm;

	PFont f;
	float a;

	Capture c;

	public void setup() {
		size(1024, 768, P3D);

		f = createFont("Arial", 32);

		bwm = new BWindowManager(this, 0, 0);
		bwm.load("milanostazione.xml");
		bwm.scale(width, height);

		BWindow bw1 = bwm.getWindow(0);
		bw1.setScaleMode(BWindow.SCALE_NORMAL);
		bw1.setHorizantalAlignMode(BWindow.H_ALIGN_CENTER);
		bw1.setVerticalAlignMode(BWindow.V_ALIGN_CENTER);

		BWindow bw2 = bwm.getWindow(1);
		bw2.setScaleMode(BWindow.SCALE_NORMAL);
		bw2.setHorizantalAlignMode(BWindow.H_ALIGN_RIGHT);
		bw2.setVerticalAlignMode(BWindow.V_ALIGN_CENTER);

		c = new Capture(this, width, height, 30);
	}

	public void draw() {
		background(255);

		pushMatrix();
		(bwm.getWindow(0)).setupTransform(c.width, c.height);
		tint(255, 0, 255);
		image(c, 0, 0);
		popMatrix();

		pushMatrix();
		(bwm.getWindow(1)).setupTransform(c.width, c.height);
		tint(0, 255, 255);
		image(c, 0, 0);
		popMatrix();

		bwm.drawBounds();
		bwm.drawViewableBounds();
		bwm.drawIds();
	}

	public void captureEvent(Capture _c) {
		_c.read();
	}
}
